Skip to main content
Transfer Logs

List all transfer logs

Transfer logs are created any time Synci attempts to transfer a bank transaction. Since destinations and financial accounts can have multiple transfer links, transfer logs are created for each transfer link. You should use transfer logs to track the status of a transaction. For example, by getting the latest transfer log for a transaction and transfer link, you can see if the transfer was successful or not.

GET
/transfer-logs
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

page[size]integerquerydefault:25

The number of results that will be returned per page.

page[number]integerquery

The page number to start the pagination from.

Filter transfer logs by the ID of the transfer link the transaction was transferred through.

filter[transaction_id]stringquery

Filter transfer logs by the ID of the transaction that was transferred.

filter[destination_transaction_id]stringquery

Filter transfer logs by the ID the destination assigned to the transferred transaction.

filter[status]stringquery

Filter transfer logs by status, for example TRANSFERRED or FAILED.

filter[transaction_ids]stringquery

Filter transfer logs by one or more transaction IDs, separated by commas.

Search for transfer logs by commonly populated fields

sortenum<string>[]querydefault:["-id"]
includeenum<string>[]query

Response

application/json

Paginated set of TransferLogResource

dataobject[]required
metaobjectrequired